## debwrap 0.9.1

=== Makefile ===
# 
#  Makefile
#    $Last modified: Thu Mar 30 22:08:07 2000$
#                   Copyright (c) 1999 kamop
#  $Id: Makefile,v 1.6 2000/03/30 13:09:24 kamop Exp $
# 

LIBS = 

DEBUG_CFLAGS = -O2 #-g -DDEBUG


CFLAGS = -Wall -DMESSAGE -DNONBLOCK \
	$(DEBUG_CFLAGS)


CC = cc

CFLAGS_COMPILE_ONLY = -c

INC = define.h debwrap.h file.h main.h qanda.h search_line.h init.h
SRC = main.c search_line.c qanda.c file.c init.c
OBJ = main.o search_line.o qanda.o file.o init.o

all: debwrap client

.c.o:
	${CC} -I. ${CFLAGS_COMPILE_ONLY} ${CPPFLAGS} ${CFLAGS} $<


debwrap: ${OBJ}
	${CC} ${LDFLAGS} -o $@ ${OBJ} ${LIBS}

${OBJ}: ${INC}

clean:
	-rm -f *.o *~ core debwrap client

install:
	install -m 755 debwrap $(DESTDIR)/usr/bin

client: client.c
	${CC} -o $@ client.c

=== debian/changelog ===
debwrap (0.9.1) unstable; urgency=low

  * Fixed segfaults problem if no arguments(#127667).

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Fri, 25 Jan 2002 03:09:51 +0900

debwrap (0.9) unstable; urgency=low

  * DEBWRAP_WAIT environment is used to wait during parsing loop.
  * Checking "Configuring ..." string for debconf configuration.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Fri,  9 Feb 2001 12:30:48 +0900

debwrap (0.2) unstable; urgency=low

  * Fixed copyright statement.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sun,  9 Jan 2000 08:44:45 +0900

debwrap (0.1) unstable; urgency=low

  * Initial Release.

 -- Atsushi KAMOSHIDA <kamop@debian.org>  Sat,  1 Jan 2000 01:03:44 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debwrap
Section: admin
Priority: optional
Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
Standards-Version: 3.0.1

Package: debwrap
Architecture: any
Depends: ${shlibs:Depends}
Description: Wrapper for dpkg/apt-get
 'debwrap' is a wrapper program for dpkg/apt-get, which reply questions
 from each package described in {pre,post}-inst scripts.

## debwrap 0.9.2

=== debian/changelog ===
debwrap (0.9.2) unstable; urgency=low

  * NMU
  * Add debhelper to build-depends (Closes: #161341)
  * Fix copyright file location

 -- Moshe Zadka <moshez@debian.org>  Mon,  9 Dec 2002 18:28:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Atsushi KAMOSHIDA <kamop@debian.org>
-Standards-Version: 3.0.1
+Build-Depends: debhelper (>=3)
+Standards-Version: 3.5.7
 
 Package: debwrap
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) debwrap

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cp examples/* `pwd`/debian/tmp/usr/share/doc/debwrap/examples

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
